.TH TIMECARD 1 "22 March 1995" SRI/X11R6
.SH NAME
timecard \- keep track of time spent on a project
.SH SYNOPSIS
.B timecard
[
.I \-toolkitoptions ...
] [
.I \-options ...
]
.SH DESCRIPTION
.I Timecard
provides a means to keep track of the amount of time a user spends
on projects.  The user logs in by pressing the appropriate button
when the work begins and then logs out by when work has ended by
pressing a different button.  Status is shown on a status bar.
.PP
When
.I timecard
is first invoked,
it creates a small window with a title, a menu/status bar, and two
buttons.  The menu bar offers a pull down menu which offers the user
two options:
.I Timesheet
and
.I Quit.
The user may select one of these options or start a log by pressing
the Start Log button.  Later, the Stop Log button can be pressed to
stop logging of the current project.
.PP
There are 3 other windows which can pop up during use of
.I timecard.
The first is a windows titled "Message" which provides informatory
messages - such as when a file cannot be opened or if the user tries to
Start Log when they are already logged in.  The second window pops up when
the user starts logging.  This window is a prompt for the name of the
project.  The project name can be any text and any number of words, but for
readability of the timesheet the project name should be short but
descriptive.  The last window is the name of the file in which to write the
timesheet.  This window pops up when the user selects the Timesheet option
from the File pull down menu.
.SH OPTIONS
.PP
.I Timecard
accepts all of the standard X Toolkit command line options along with the
additional options listed below.
.TP 8
.BI \-dbdir " directory"
Specifies the directory in which the logging and timesheet files will be
kept.
The default is path /usr/local/timecard.
.TP 8
.BI \-dbfile " dbfilename"
Specifies the name of the file in which the logging will be kept.  This
file will be located under the directory specified by the dbdir option or
its default value if not specified.
The default name is
.IR \&tc .
.TP 8
.B \-help
gives a usage message.
.SH "RESOURCES"
.PP
.I Timecard
understands all of the core X Toolkit resource names and classes 
as well as those listed below
which are all of class
.BR Timecard .
.TP 8
.B \&.dbDir
Specifies the directory in which the logging and timesheet files will be
kept.
The default is path /usr/local/timecard.
.TP 8
.B \&.dbFile
Specifies the name of the file in which the logging will be kept.  This
file will be located under the directory specified by the dbdir option or
its default value if not specified.
The default name is
.IR \&tc .
.SH "ACTIONS"
.PP
It is not recommended that the Translations listed in Timecard.ad
be changed.
.SH "SEE ALSO"
X(1)
.SH BUGS
.PP
There is a "box" which shows up on the right hand side of the menu/status
bar.  Thats supposed to be the Help button, but I was too lazy to write up
the help stuff.  The button is there if anyone wants to add the text.
.PP
DON'T CHANGE THE TRANSLATIONS IN TIMECARD.AD!
.br
DON'T CHANGE THE TRANSLATIONS IN TIMECARD.AD!
.br
DON'T CHANGE THE TRANSLATIONS IN TIMECARD.AD!
.br
Have I made myself clear?
.SH AUTHOR
Michael J. Hammel (mjhammel@csn.org.
.sp
